Viewing docs for Okta v6.3.1
published on Thursday, Mar 12, 2026 by Pulumi
published on Thursday, Mar 12, 2026 by Pulumi
Viewing docs for Okta v6.3.1
published on Thursday, Mar 12, 2026 by Pulumi
published on Thursday, Mar 12, 2026 by Pulumi
Get a SAML application from Okta.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as okta from "@pulumi/okta";
const example = okta.app.getSaml({
label: "Example App",
});
import pulumi
import pulumi_okta as okta
example = okta.app.get_saml(label="Example App")
package main
import (
"github.com/pulumi/pulumi-okta/sdk/v6/go/okta/app"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := app.LookupSaml(ctx, &app.LookupSamlArgs{
Label: pulumi.StringRef("Example App"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Okta = Pulumi.Okta;
return await Deployment.RunAsync(() =>
{
var example = Okta.App.GetSaml.Invoke(new()
{
Label = "Example App",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.okta.app.AppFunctions;
import com.pulumi.okta.app.inputs.GetSamlArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = AppFunctions.getSaml(GetSamlArgs.builder()
.label("Example App")
.build());
}
}
variables:
example:
fn::invoke:
function: okta:app:getSaml
arguments:
label: Example App
Using getSaml
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSaml(args: GetSamlArgs, opts?: InvokeOptions): Promise<GetSamlResult>
function getSamlOutput(args: GetSamlOutputArgs, opts?: InvokeOptions): Output<GetSamlResult>def get_saml(active_only: Optional[bool] = None,
id: Optional[str] = None,
label: Optional[str] = None,
label_prefix: Optional[str] = None,
request_compressed: Optional[bool] = None,
skip_groups: Optional[bool] = None,
skip_users: Optional[bool] = None,
opts: Optional[InvokeOptions] = None) -> GetSamlResult
def get_saml_output(active_only: Optional[pulumi.Input[bool]] = None,
id: Optional[pulumi.Input[str]] = None,
label: Optional[pulumi.Input[str]] = None,
label_prefix: Optional[pulumi.Input[str]] = None,
request_compressed: Optional[pulumi.Input[bool]] = None,
skip_groups: Optional[pulumi.Input[bool]] = None,
skip_users: Optional[pulumi.Input[bool]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSamlResult]func LookupSaml(ctx *Context, args *LookupSamlArgs, opts ...InvokeOption) (*LookupSamlResult, error)
func LookupSamlOutput(ctx *Context, args *LookupSamlOutputArgs, opts ...InvokeOption) LookupSamlResultOutput> Note: This function is named LookupSaml in the Go SDK.
public static class GetSaml
{
public static Task<GetSamlResult> InvokeAsync(GetSamlArgs args, InvokeOptions? opts = null)
public static Output<GetSamlResult> Invoke(GetSamlInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSamlResult> getSaml(GetSamlArgs args, InvokeOptions options)
public static Output<GetSamlResult> getSaml(GetSamlArgs args, InvokeOptions options)
fn::invoke:
function: okta:app/getSaml:getSaml
arguments:
# arguments dictionaryThe following arguments are supported:
- Active
Only bool - Search only ACTIVE applications.
- Id string
- Id of application to retrieve, conflicts with label and label_prefix.
- Label string
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- Label
Prefix string - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- Request
Compressed bool - Denotes whether the request is compressed or not.
- Skip
Groups bool - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- Skip
Users bool - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- Active
Only bool - Search only ACTIVE applications.
- Id string
- Id of application to retrieve, conflicts with label and label_prefix.
- Label string
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- Label
Prefix string - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- Request
Compressed bool - Denotes whether the request is compressed or not.
- Skip
Groups bool - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- Skip
Users bool - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- active
Only Boolean - Search only ACTIVE applications.
- id String
- Id of application to retrieve, conflicts with label and label_prefix.
- label String
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label
Prefix String - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request
Compressed Boolean - Denotes whether the request is compressed or not.
- skip
Groups Boolean - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip
Users Boolean - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- active
Only boolean - Search only ACTIVE applications.
- id string
- Id of application to retrieve, conflicts with label and label_prefix.
- label string
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label
Prefix string - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request
Compressed boolean - Denotes whether the request is compressed or not.
- skip
Groups boolean - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip
Users boolean - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- active_
only bool - Search only ACTIVE applications.
- id str
- Id of application to retrieve, conflicts with label and label_prefix.
- label str
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label_
prefix str - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request_
compressed bool - Denotes whether the request is compressed or not.
- skip_
groups bool - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip_
users bool - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- active
Only Boolean - Search only ACTIVE applications.
- id String
- Id of application to retrieve, conflicts with label and label_prefix.
- label String
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label
Prefix String - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request
Compressed Boolean - Denotes whether the request is compressed or not.
- skip
Groups Boolean - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip
Users Boolean - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
getSaml Result
The following output properties are available:
- Accessibility
Error stringRedirect Url - Custom error page URL
- Accessibility
Login stringRedirect Url - Custom login page URL
- Accessibility
Self boolService - Enable self service
- Acs
Endpoints List<string> - List of ACS endpoints for this SAML application
- App
Settings stringJson - Application settings in JSON format
- Assertion
Signed bool - Determines whether the SAML assertion is digitally signed
- Attribute
Statements List<GetSaml Attribute Statement> - Audience string
- Audience Restriction
- Authn
Context stringClass Ref - Identifies the SAML authentication context class for the assertion’s authentication statement
- Auto
Submit boolToolbar - Display auto submit toolbar
- Default
Relay stringState - Identifies a specific application resource in an IDP initiated SSO scenario.
- Destination string
- Identifies the location where the SAML response is intended to be sent inside of the SAML assertion
- Digest
Algorithm string - Determines the digest algorithm used to digitally sign the SAML assertion and response
- Features List<string>
- features to enable
- Groups List<string>
- Groups associated with the application
- Hide
Ios bool - Do not display application icon on mobile app
- Hide
Web bool - Do not display application icon to users
- Honor
Force boolAuthn - Prompt user to re-authenticate if SP asks for it
- Idp
Issuer string - SAML issuer ID
- Inline
Hook stringId - Saml Inline Hook setting
- Key
Id string - Certificate ID
- Links string
- Discoverable resources related to the app
- Name string
- Name of application.
- Recipient string
- The location where the app may present the SAML assertion
- Response
Signed bool - Determines whether the SAML auth response message is digitally signed
- Saml
Signed boolRequest Enabled - SAML Signed Request enabled
- Signature
Algorithm string - Signature algorithm used to digitally sign the assertion and response
- Single
Logout stringCertificate - x509 encoded certificate that the Service Provider uses to sign Single Logout requests
- Single
Logout stringIssuer - The issuer of the Service Provider that generates the Single Logout request
- Single
Logout stringUrl - The location where the logout response is sent
- Sp
Issuer string - SAML SP issuer ID
- Sso
Url string - Single Sign On URL
- Status string
- Status of application.
- Subject
Name stringId Format - Identifies the SAML processing rules.
- Subject
Name stringId Template - Template for app user's username when a user is assigned to the app
- User
Name stringTemplate - Username template
- User
Name stringTemplate Push Status - Push username on update
- User
Name stringTemplate Suffix - Username template suffix
- User
Name stringTemplate Type - Username template type
- Users List<string>
- Users associated with the application
- Active
Only bool - Search only ACTIVE applications.
- Id string
- Id of application to retrieve, conflicts with label and label_prefix.
- Label string
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- Label
Prefix string - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- Request
Compressed bool - Denotes whether the request is compressed or not.
- Skip
Groups bool - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- Skip
Users bool - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- Accessibility
Error stringRedirect Url - Custom error page URL
- Accessibility
Login stringRedirect Url - Custom login page URL
- Accessibility
Self boolService - Enable self service
- Acs
Endpoints []string - List of ACS endpoints for this SAML application
- App
Settings stringJson - Application settings in JSON format
- Assertion
Signed bool - Determines whether the SAML assertion is digitally signed
- Attribute
Statements []GetSaml Attribute Statement - Audience string
- Audience Restriction
- Authn
Context stringClass Ref - Identifies the SAML authentication context class for the assertion’s authentication statement
- Auto
Submit boolToolbar - Display auto submit toolbar
- Default
Relay stringState - Identifies a specific application resource in an IDP initiated SSO scenario.
- Destination string
- Identifies the location where the SAML response is intended to be sent inside of the SAML assertion
- Digest
Algorithm string - Determines the digest algorithm used to digitally sign the SAML assertion and response
- Features []string
- features to enable
- Groups []string
- Groups associated with the application
- Hide
Ios bool - Do not display application icon on mobile app
- Hide
Web bool - Do not display application icon to users
- Honor
Force boolAuthn - Prompt user to re-authenticate if SP asks for it
- Idp
Issuer string - SAML issuer ID
- Inline
Hook stringId - Saml Inline Hook setting
- Key
Id string - Certificate ID
- Links string
- Discoverable resources related to the app
- Name string
- Name of application.
- Recipient string
- The location where the app may present the SAML assertion
- Response
Signed bool - Determines whether the SAML auth response message is digitally signed
- Saml
Signed boolRequest Enabled - SAML Signed Request enabled
- Signature
Algorithm string - Signature algorithm used to digitally sign the assertion and response
- Single
Logout stringCertificate - x509 encoded certificate that the Service Provider uses to sign Single Logout requests
- Single
Logout stringIssuer - The issuer of the Service Provider that generates the Single Logout request
- Single
Logout stringUrl - The location where the logout response is sent
- Sp
Issuer string - SAML SP issuer ID
- Sso
Url string - Single Sign On URL
- Status string
- Status of application.
- Subject
Name stringId Format - Identifies the SAML processing rules.
- Subject
Name stringId Template - Template for app user's username when a user is assigned to the app
- User
Name stringTemplate - Username template
- User
Name stringTemplate Push Status - Push username on update
- User
Name stringTemplate Suffix - Username template suffix
- User
Name stringTemplate Type - Username template type
- Users []string
- Users associated with the application
- Active
Only bool - Search only ACTIVE applications.
- Id string
- Id of application to retrieve, conflicts with label and label_prefix.
- Label string
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- Label
Prefix string - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- Request
Compressed bool - Denotes whether the request is compressed or not.
- Skip
Groups bool - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- Skip
Users bool - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- accessibility
Error StringRedirect Url - Custom error page URL
- accessibility
Login StringRedirect Url - Custom login page URL
- accessibility
Self BooleanService - Enable self service
- acs
Endpoints List<String> - List of ACS endpoints for this SAML application
- app
Settings StringJson - Application settings in JSON format
- assertion
Signed Boolean - Determines whether the SAML assertion is digitally signed
- attribute
Statements List<GetSaml Attribute Statement> - audience String
- Audience Restriction
- authn
Context StringClass Ref - Identifies the SAML authentication context class for the assertion’s authentication statement
- auto
Submit BooleanToolbar - Display auto submit toolbar
- default
Relay StringState - Identifies a specific application resource in an IDP initiated SSO scenario.
- destination String
- Identifies the location where the SAML response is intended to be sent inside of the SAML assertion
- digest
Algorithm String - Determines the digest algorithm used to digitally sign the SAML assertion and response
- features List<String>
- features to enable
- groups List<String>
- Groups associated with the application
- hide
Ios Boolean - Do not display application icon on mobile app
- hide
Web Boolean - Do not display application icon to users
- honor
Force BooleanAuthn - Prompt user to re-authenticate if SP asks for it
- idp
Issuer String - SAML issuer ID
- inline
Hook StringId - Saml Inline Hook setting
- key
Id String - Certificate ID
- links String
- Discoverable resources related to the app
- name String
- Name of application.
- recipient String
- The location where the app may present the SAML assertion
- response
Signed Boolean - Determines whether the SAML auth response message is digitally signed
- saml
Signed BooleanRequest Enabled - SAML Signed Request enabled
- signature
Algorithm String - Signature algorithm used to digitally sign the assertion and response
- single
Logout StringCertificate - x509 encoded certificate that the Service Provider uses to sign Single Logout requests
- single
Logout StringIssuer - The issuer of the Service Provider that generates the Single Logout request
- single
Logout StringUrl - The location where the logout response is sent
- sp
Issuer String - SAML SP issuer ID
- sso
Url String - Single Sign On URL
- status String
- Status of application.
- subject
Name StringId Format - Identifies the SAML processing rules.
- subject
Name StringId Template - Template for app user's username when a user is assigned to the app
- user
Name StringTemplate - Username template
- user
Name StringTemplate Push Status - Push username on update
- user
Name StringTemplate Suffix - Username template suffix
- user
Name StringTemplate Type - Username template type
- users List<String>
- Users associated with the application
- active
Only Boolean - Search only ACTIVE applications.
- id String
- Id of application to retrieve, conflicts with label and label_prefix.
- label String
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label
Prefix String - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request
Compressed Boolean - Denotes whether the request is compressed or not.
- skip
Groups Boolean - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip
Users Boolean - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- accessibility
Error stringRedirect Url - Custom error page URL
- accessibility
Login stringRedirect Url - Custom login page URL
- accessibility
Self booleanService - Enable self service
- acs
Endpoints string[] - List of ACS endpoints for this SAML application
- app
Settings stringJson - Application settings in JSON format
- assertion
Signed boolean - Determines whether the SAML assertion is digitally signed
- attribute
Statements GetSaml Attribute Statement[] - audience string
- Audience Restriction
- authn
Context stringClass Ref - Identifies the SAML authentication context class for the assertion’s authentication statement
- auto
Submit booleanToolbar - Display auto submit toolbar
- default
Relay stringState - Identifies a specific application resource in an IDP initiated SSO scenario.
- destination string
- Identifies the location where the SAML response is intended to be sent inside of the SAML assertion
- digest
Algorithm string - Determines the digest algorithm used to digitally sign the SAML assertion and response
- features string[]
- features to enable
- groups string[]
- Groups associated with the application
- hide
Ios boolean - Do not display application icon on mobile app
- hide
Web boolean - Do not display application icon to users
- honor
Force booleanAuthn - Prompt user to re-authenticate if SP asks for it
- idp
Issuer string - SAML issuer ID
- inline
Hook stringId - Saml Inline Hook setting
- key
Id string - Certificate ID
- links string
- Discoverable resources related to the app
- name string
- Name of application.
- recipient string
- The location where the app may present the SAML assertion
- response
Signed boolean - Determines whether the SAML auth response message is digitally signed
- saml
Signed booleanRequest Enabled - SAML Signed Request enabled
- signature
Algorithm string - Signature algorithm used to digitally sign the assertion and response
- single
Logout stringCertificate - x509 encoded certificate that the Service Provider uses to sign Single Logout requests
- single
Logout stringIssuer - The issuer of the Service Provider that generates the Single Logout request
- single
Logout stringUrl - The location where the logout response is sent
- sp
Issuer string - SAML SP issuer ID
- sso
Url string - Single Sign On URL
- status string
- Status of application.
- subject
Name stringId Format - Identifies the SAML processing rules.
- subject
Name stringId Template - Template for app user's username when a user is assigned to the app
- user
Name stringTemplate - Username template
- user
Name stringTemplate Push Status - Push username on update
- user
Name stringTemplate Suffix - Username template suffix
- user
Name stringTemplate Type - Username template type
- users string[]
- Users associated with the application
- active
Only boolean - Search only ACTIVE applications.
- id string
- Id of application to retrieve, conflicts with label and label_prefix.
- label string
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label
Prefix string - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request
Compressed boolean - Denotes whether the request is compressed or not.
- skip
Groups boolean - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip
Users boolean - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- accessibility_
error_ strredirect_ url - Custom error page URL
- accessibility_
login_ strredirect_ url - Custom login page URL
- accessibility_
self_ boolservice - Enable self service
- acs_
endpoints Sequence[str] - List of ACS endpoints for this SAML application
- app_
settings_ strjson - Application settings in JSON format
- assertion_
signed bool - Determines whether the SAML assertion is digitally signed
- attribute_
statements Sequence[GetSaml Attribute Statement] - audience str
- Audience Restriction
- authn_
context_ strclass_ ref - Identifies the SAML authentication context class for the assertion’s authentication statement
- auto_
submit_ booltoolbar - Display auto submit toolbar
- default_
relay_ strstate - Identifies a specific application resource in an IDP initiated SSO scenario.
- destination str
- Identifies the location where the SAML response is intended to be sent inside of the SAML assertion
- digest_
algorithm str - Determines the digest algorithm used to digitally sign the SAML assertion and response
- features Sequence[str]
- features to enable
- groups Sequence[str]
- Groups associated with the application
- hide_
ios bool - Do not display application icon on mobile app
- hide_
web bool - Do not display application icon to users
- honor_
force_ boolauthn - Prompt user to re-authenticate if SP asks for it
- idp_
issuer str - SAML issuer ID
- inline_
hook_ strid - Saml Inline Hook setting
- key_
id str - Certificate ID
- links str
- Discoverable resources related to the app
- name str
- Name of application.
- recipient str
- The location where the app may present the SAML assertion
- response_
signed bool - Determines whether the SAML auth response message is digitally signed
- saml_
signed_ boolrequest_ enabled - SAML Signed Request enabled
- signature_
algorithm str - Signature algorithm used to digitally sign the assertion and response
- single_
logout_ strcertificate - x509 encoded certificate that the Service Provider uses to sign Single Logout requests
- single_
logout_ strissuer - The issuer of the Service Provider that generates the Single Logout request
- single_
logout_ strurl - The location where the logout response is sent
- sp_
issuer str - SAML SP issuer ID
- sso_
url str - Single Sign On URL
- status str
- Status of application.
- subject_
name_ strid_ format - Identifies the SAML processing rules.
- subject_
name_ strid_ template - Template for app user's username when a user is assigned to the app
- user_
name_ strtemplate - Username template
- user_
name_ strtemplate_ push_ status - Push username on update
- user_
name_ strtemplate_ suffix - Username template suffix
- user_
name_ strtemplate_ type - Username template type
- users Sequence[str]
- Users associated with the application
- active_
only bool - Search only ACTIVE applications.
- id str
- Id of application to retrieve, conflicts with label and label_prefix.
- label str
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label_
prefix str - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request_
compressed bool - Denotes whether the request is compressed or not.
- skip_
groups bool - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip_
users bool - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
- accessibility
Error StringRedirect Url - Custom error page URL
- accessibility
Login StringRedirect Url - Custom login page URL
- accessibility
Self BooleanService - Enable self service
- acs
Endpoints List<String> - List of ACS endpoints for this SAML application
- app
Settings StringJson - Application settings in JSON format
- assertion
Signed Boolean - Determines whether the SAML assertion is digitally signed
- attribute
Statements List<Property Map> - audience String
- Audience Restriction
- authn
Context StringClass Ref - Identifies the SAML authentication context class for the assertion’s authentication statement
- auto
Submit BooleanToolbar - Display auto submit toolbar
- default
Relay StringState - Identifies a specific application resource in an IDP initiated SSO scenario.
- destination String
- Identifies the location where the SAML response is intended to be sent inside of the SAML assertion
- digest
Algorithm String - Determines the digest algorithm used to digitally sign the SAML assertion and response
- features List<String>
- features to enable
- groups List<String>
- Groups associated with the application
- hide
Ios Boolean - Do not display application icon on mobile app
- hide
Web Boolean - Do not display application icon to users
- honor
Force BooleanAuthn - Prompt user to re-authenticate if SP asks for it
- idp
Issuer String - SAML issuer ID
- inline
Hook StringId - Saml Inline Hook setting
- key
Id String - Certificate ID
- links String
- Discoverable resources related to the app
- name String
- Name of application.
- recipient String
- The location where the app may present the SAML assertion
- response
Signed Boolean - Determines whether the SAML auth response message is digitally signed
- saml
Signed BooleanRequest Enabled - SAML Signed Request enabled
- signature
Algorithm String - Signature algorithm used to digitally sign the assertion and response
- single
Logout StringCertificate - x509 encoded certificate that the Service Provider uses to sign Single Logout requests
- single
Logout StringIssuer - The issuer of the Service Provider that generates the Single Logout request
- single
Logout StringUrl - The location where the logout response is sent
- sp
Issuer String - SAML SP issuer ID
- sso
Url String - Single Sign On URL
- status String
- Status of application.
- subject
Name StringId Format - Identifies the SAML processing rules.
- subject
Name StringId Template - Template for app user's username when a user is assigned to the app
- user
Name StringTemplate - Username template
- user
Name StringTemplate Push Status - Push username on update
- user
Name StringTemplate Suffix - Username template suffix
- user
Name StringTemplate Type - Username template type
- users List<String>
- Users associated with the application
- active
Only Boolean - Search only ACTIVE applications.
- id String
- Id of application to retrieve, conflicts with label and label_prefix.
- label String
- The label of the app to retrieve, conflicts with label_prefix and id. Label uses the ?q=\n\n query parameter exposed by Okta's API. It should be noted that at this time this searches both name and label. This is used to avoid paginating through all applications.
- label
Prefix String - Label prefix of the app to retrieve, conflicts with label and id. This will tell the provider to do a starts with query as opposed to an equals query.
- request
Compressed Boolean - Denotes whether the request is compressed or not.
- skip
Groups Boolean - Ignore groups sync. This is a temporary solution until 'groups' field is supported in all the app-like resources
- skip
Users Boolean - Ignore users sync. This is a temporary solution until 'users' field is supported in all the app-like resources
Supporting Types
GetSamlAttributeStatement
- Filter
Type string - Type of group attribute filter
- Filter
Value string - Filter value to use
- Name string
- The reference name of the attribute statement
- Namespace string
- The name format of the attribute
- Type string
- The type of attribute statements object
- Values List<string>
- Filter
Type string - Type of group attribute filter
- Filter
Value string - Filter value to use
- Name string
- The reference name of the attribute statement
- Namespace string
- The name format of the attribute
- Type string
- The type of attribute statements object
- Values []string
- filter
Type String - Type of group attribute filter
- filter
Value String - Filter value to use
- name String
- The reference name of the attribute statement
- namespace String
- The name format of the attribute
- type String
- The type of attribute statements object
- values List<String>
- filter
Type string - Type of group attribute filter
- filter
Value string - Filter value to use
- name string
- The reference name of the attribute statement
- namespace string
- The name format of the attribute
- type string
- The type of attribute statements object
- values string[]
- filter_
type str - Type of group attribute filter
- filter_
value str - Filter value to use
- name str
- The reference name of the attribute statement
- namespace str
- The name format of the attribute
- type str
- The type of attribute statements object
- values Sequence[str]
- filter
Type String - Type of group attribute filter
- filter
Value String - Filter value to use
- name String
- The reference name of the attribute statement
- namespace String
- The name format of the attribute
- type String
- The type of attribute statements object
- values List<String>
Package Details
- Repository
- Okta pulumi/pulumi-okta
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
oktaTerraform Provider.
Viewing docs for Okta v6.3.1
published on Thursday, Mar 12, 2026 by Pulumi
published on Thursday, Mar 12, 2026 by Pulumi
